
{% extends 'base.html' %}
{% load static %}

{% block main %}
<main id="main" class="w-100 container border rounded border-white py-4 my-3 d-flex flex-column">
    <div class="w-100 d-flex flex-column justify-content-center align-items-center">
        <h2 class="mb-2">PLANNING POKER</h2>
        <h5 class="mb-2">Création de jeu</h5>
    </div>
    <form action="{% url 'start_game' %}" method="post"  class="w-100 d-flex flex-column justify-content-center align-content-center align-items-center py-5">
        {% csrf_token %}
        <div class="d-flex justify-content-center align-content-center flex-column gap-1 w-50 mb-2">
            <label for="game-mode" class="form-label">Choisissez un mode de jeu :</label>
            <select name="game-mode" class="form-select w-100 mb-2">
                {% for id, mode in modes.items %}
                    <option value="{{ id }}">{{ mode }}</option>
                {% endfor %}
            </select>
        </div>
        <div class="d-flex justify-content-center align-content-center flex-column gap-1 w-50 mb-4">
            <label for="base-task">Défininssez une tâche de difféclté <span class="fs-5 fw-bold">1</span> :</label>
            <input type="text" class="form-control w-100" required id="base-task" name="base-task">
        </div>
            <button type="submit" class="normal-btn d-flex justify-content-center align-content-center align-items-center gap-3 px-4 py-2 rounded bg-success text-white">
                <span>Suivant</span>
                <i class="fa-solid fa-arrow-right text-white fa-fade "></i>
            </button>
    </form>
</main>

{% endblock main %}
